# Uses of Class
org.jboss.classfilewriter.code.StackFrame

Packages that use StackFrame
Package
Description
org.jboss.classfilewriter.code

## Uses of StackFrame in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code that return StackFrame
Modifier and Type
Method
Description
`StackFrame`
StackFrame.`aconstNull()`
pushes a null type onto the stack
`StackFrame`
StackFrame.`constructorCall(int initializedValueStackPosition)`
marks the value in potition initializedValueStackPosition as initialized.
`StackFrame`
StackFrame.`createFull()`
`StackFrame`
StackFrame.`dup()`
`StackFrame`
StackFrame.`dup2()`
`StackFrame`
StackFrame.`dup2X1()`
`StackFrame`
StackFrame.`dup2X2()`
`StackFrame`
StackFrame.`dupX1()`
`StackFrame`
StackFrame.`dupX2()`
`StackFrame`
StackFrame.`mergeLocals(int pos, StackEntry frame)`
`StackFrame`
StackFrame.`mergeStack(int pos, StackEntry frame)`
`StackFrame`
StackFrame.`pop()`
pops an operand from the stack
`StackFrame`
StackFrame.`pop(int no)`
`StackFrame`
StackFrame.`pop2()`
pops 2 operands from the stack
`StackFrame`
StackFrame.`pop2push1(String type)`
remote the top two operands and replace them with an different operand
`StackFrame`
StackFrame.`pop3()`
pops 3 operands from the stack
`StackFrame`
StackFrame.`pop4()`
pops 4 operands from the stack
`StackFrame`
StackFrame.`pop4push1(String type)`
remote the top two operands and replace them with an different operand
`StackFrame`
StackFrame.`push(String type)`
push an operand of the given type onto the stack
`StackFrame`
StackFrame.`push(StackEntry entry)`
push an operand of the given type onto the stack.
`StackFrame`
StackFrame.`replace(String type)`
replace the operand at the top of the stack with the given operand
`StackFrame`
StackFrame.`store(int no)`
Store the variable on top of the stack into a local variable, poping the variable from the stack.
`StackFrame`
StackFrame.`swap()`
Methods in org.jboss.classfilewriter.code that return types with arguments of type StackFrame
Modifier and Type
Method
Description
`LinkedHashMap<Integer,StackFrame>`
CodeAttribute.`getStackFrames()`
Constructors in org.jboss.classfilewriter.code with parameters of type StackFrame
Modifier
Constructor
Description
``
`BranchEnd(int branchLocation, StackFrame stackFrame, boolean jump32Bit, int offsetLocation)`